from flask import Flask
from flask_restful import Api

from modules.KF3.database import Database as KF3DB
from modules.Kingdom.database import Database as KFKDB
from modules.Archive.database import Database as KFADB
from modules.proxy import DMMProxy

app = Flask(__name__)
app.config['JSON_AS_ASCII'] = False
app.databases = {}

api = Api(app)

KF3DB(api)
KFKDB(api)
KFADB(api, "Archive", "/home/pi/python/Katbots/JapariArchive/database.db")
KFADB(api, "ArchiveOld", "/home/pi/python/Katbots/JapariArchive/databaseOld.db")
api.add_resource(DMMProxy, "/proxy")

if __name__ == '__main__':
    app.run(host='127.0.0.1', port=8080, debug=True)